Subject: Re: ASCII and BINARY files. Why?
From: [email-masked] (Alex Stewart)

30 Jan 1997 23:31:02 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Fergus Henderson)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Fergus Henderson" at Jan 29, 97 01:09:49 am
X-Mailer: ELM [version 2.4 PL23]
Content-Length: 1325      
Original-Sender: [email-masked]

> It might well be straightforward to implement 't' and O_TEXT,
> but it would be a _bad idea_ to do so, because it would be a
> bad idea to use those features.  Using 't' and O_TEXT would be a bad
> idea even if they were implemented, because doing so would reduce
> portability, rather than improving it, because they are non-standard.

So your argument is "I don't want to use it, so nobody else should be allowed
to."?  That is, quite frankly, pathetic.

Addressing the portability issue, including a "t" flag in a fopen call does
not decrease portability in any way, as it will simply be ignored by any
libraries which do not support it.  O_TEXT will produce a compiler warning if
it isn't defined in a header file, but it is extremely easy to avoid that with
a simple:

#ifndef O_TEXT
#define O_TEXT 0
#endif

...resulting in code which is just as portable (some might argue more portable
because it will actually perform _properly_ on a wider number of systems).

Your arguments are therefore not only egocentric, but quite simply incorrect.

-alex
-------------------------------------------------------------------------------
     Alex Stewart - [email-masked] - Richelieu @ Diversity University MOO
                         http://www.crl.com/~riche
           "For the world is hollow, and I have touched the sky."
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".